<?php 

	/*
	*
	*	Theme Customizer Options
	*	------------------------------------------------
	*	Themes Awesome Framework
	* 	Copyright Themes Awesome 2013 - http://www.themesawesome.com
	*
	*	hakim_customize_register()
	*	hakim_customize_preview()
	*
	*/
	
	if (!function_exists('hakim_customize_register')) {
		function hakim_customize_register($wp_customize) {
		
			$wp_customize->get_setting('blogname')->transport='postMessage';
			$wp_customize->get_setting('blogdescription')->transport='postMessage';
			$wp_customize->get_setting('header_textcolor')->transport='postMessage';

			/* HEADER STYLING
			================================================== */
			
			$wp_customize->add_section( 'header_styling', array(
				'title'		=>	esc_html__( 'Header', 'hakim' ),
				'priority'	=>	200,
			) );
			
			//SECTION

			$wp_customize->add_setting( 'bg_header', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bord_header', array(
				'default'		=> 	'#dce2ee',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'header_info', array(
				'default'		=> 	'#afafaf',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'nav_menu', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'hov_menu', array(
				'default'		=> 	'#afafaf',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'sub_menu', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'sub_menu_hov', array(
				'default'		=> 	'#afafaf',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'sub_menu_bg', array(
				'default'		=> 	'#edf1fa',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			
			//CONTROL
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bg_header', array(
				'label'		=>	esc_html__( 'Background Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'bg_header',
				'priority'	=>	1,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bord_header', array(
				'label'		=>	esc_html__( 'Border Bottom Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'bord_header',
				'priority'	=>	2,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_info', array(
				'label'		=>	esc_html__( 'Header Info and search Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'header_info',
				'priority'	=>	3,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nav_menu', array(
				'label'		=>	esc_html__( 'Menu Text Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'nav_menu',
				'priority'	=>	4,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'hov_menu', array(
				'label'		=>	esc_html__( 'Menu Text Hover Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'hov_menu',
				'priority'	=>	5,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sub_menu', array(
				'label'		=>	esc_html__( 'Submenu Text Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'sub_menu',
				'priority'	=>	6,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sub_menu_hov', array(
				'label'		=>	esc_html__( 'Submenu Text Hover Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'sub_menu_hov',
				'priority'	=>	7,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sub_menu_bg', array(
				'label'		=>	esc_html__( 'Submenu background Color', 'hakim' ),
				'section'	=>	'header_styling',
				'settings'	=>	'sub_menu_bg',
				'priority'	=>	8,
			) ) );



			/* CONTENT STYLING
			================================================== */
			
			$wp_customize->add_section( 'content_styling', array(
				'title'		=>	esc_html__( 'Content', 'hakim' ),
				'priority'	=>	200,
			) );
			
			//SECTION

			$wp_customize->add_setting( 'title_block', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'subtitle_block', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'body_text', array(
				'default'		=> 	'#777777',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'practice_title', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bord_button', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'text_button', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'text_button_hov', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bg_hov', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'team_name', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'team_name_hov', array(
				'default'		=> 	'#afafaf',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'btn_case', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'btn_case_hov', array(
				'default'		=> 	'#afafaf',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bg_date', array(
				'default'		=> 	'#3498db',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'text_counter', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'icon_testi', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'text_testi', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'name_testi', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'pagi_testi', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'title_page', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bg_form', array(
				'default'		=> 	'#edf1fa',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'input_form', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'title_sidebar', array(
				'default'		=> 	'#D2D9E8',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'border_sidebar', array(
				'default'		=> 	'#edf1fa',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'contact_info', array(
				'default'		=> 	'#777777',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'contact_info_title', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'project_detail', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'project_border', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'project_title', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'border_faq', array(
				'default'		=> 	'#efeff1',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			//CONTROL
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'title_block', array(
				'label'		=>	esc_html__( 'Block Title Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'title_block',
				'priority'	=>	1,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'subtitle_block', array(
				'label'		=>	esc_html__( 'Block Subtitle Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'subtitle_block',
				'priority'	=>	2,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'body_text', array(
				'label'		=>	esc_html__( 'All Text Description Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'body_text',
				'priority'	=>	3,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'practice_title', array(
				'label'		=>	esc_html__( 'Practice Area Title Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'practice_title',
				'priority'	=>	4,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bord_button', array(
				'label'		=>	esc_html__( 'Border Button Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'bord_button',
				'priority'	=>	5,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_button', array(
				'label'		=>	esc_html__( 'Text Button Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'text_button',
				'priority'	=>	6,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_button_hov', array(
				'label'		=>	esc_html__( 'Text Button Hover Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'text_button_hov',
				'priority'	=>	7,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bg_hov', array(
				'label'		=>	esc_html__( 'Background & Border Button Hover Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'bg_hov',
				'priority'	=>	8,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'team_name', array(
				'label'		=>	esc_html__( 'All Link Text Black Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'team_name',
				'priority'	=>	9,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'team_name_hov', array(
				'label'		=>	esc_html__( 'All Link Text Black Hover Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'team_name_hov',
				'priority'	=>	10,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'btn_case', array(
				'label'		=>	esc_html__( 'Button View Case Studies Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'btn_case',
				'priority'	=>	11,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'btn_case_hov', array(
				'label'		=>	esc_html__( 'Button View Case Studies Hover Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'btn_case_hov',
				'priority'	=>	12,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bg_date', array(
				'label'		=>	esc_html__( 'Icon Quote and Background Date Post Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'bg_date',
				'priority'	=>	13,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_counter', array(
				'label'		=>	esc_html__( 'Counter Text Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'text_counter',
				'priority'	=>	14,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'icon_testi', array(
				'label'		=>	esc_html__( 'Testimonial Icon Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'icon_testi',
				'priority'	=>	15,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_testi', array(
				'label'		=>	esc_html__( 'Testimonial Text Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'text_testi',
				'priority'	=>	16,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'name_testi', array(
				'label'		=>	esc_html__( 'Testimonial Author Name Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'name_testi',
				'priority'	=>	17,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pagi_testi', array(
				'label'		=>	esc_html__( 'Testimonial Pagination Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'pagi_testi',
				'priority'	=>	18,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'title_page', array(
				'label'		=>	esc_html__( 'Page Title Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'title_page',
				'priority'	=>	19,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bg_form', array(
				'label'		=>	esc_html__( 'Form Section and Contact Form Section Background Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'bg_form',
				'priority'	=>	20,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'input_form', array(
				'label'		=>	esc_html__( 'Form Background Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'input_form',
				'priority'	=>	21,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'title_sidebar', array(
				'label'		=>	esc_html__( 'Sidebar Title and Icon Quote Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'title_sidebar',
				'priority'	=>	22,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'border_sidebar', array(
				'label'		=>	esc_html__( 'Sidebar Border and icon Quote Case Studies Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'border_sidebar',
				'priority'	=>	23,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_info', array(
				'label'		=>	esc_html__( 'Contact Info Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'contact_info',
				'priority'	=>	24,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'contact_info_title', array(
				'label'		=>	esc_html__( 'Contact Info Title Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'contact_info_title',
				'priority'	=>	25,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'project_detail', array(
				'label'		=>	esc_html__( 'Project Detail Text on Single Case Studies Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'project_detail',
				'priority'	=>	26,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'project_border', array(
				'label'		=>	esc_html__( 'Project Detail Border on Single Case Studies Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'project_border',
				'priority'	=>	27,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'project_title', array(
				'label'		=>	esc_html__( 'Project Detail Title on Single Case Studies Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'project_title',
				'priority'	=>	28,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'border_faq', array(
				'label'		=>	esc_html__( 'FAQ Panel Border Color', 'hakim' ),
				'section'	=>	'content_styling',
				'settings'	=>	'border_faq',
				'priority'	=>	29,
			) ) );



			/* FOOTER STYLING
			================================================== */
			
			$wp_customize->add_section( 'footer_styling', array(
				'title'		=>	esc_html__( 'Footer', 'hakim' ),
				'priority'	=>	200,
			) );
			
			//SECTION

			$wp_customize->add_setting( 'top_border', array(
				'default'		=> 	'#edf1fa',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'top_btn', array(
				'default'		=> 	'#edf1fa',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'top_btn_hov', array(
				'default'		=> 	'#3498db',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'top_arrow', array(
				'default'		=> 	'#333333',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'top_arrow_hov', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bg_footer', array(
				'default'		=> 	'#ffffff',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'title_widget', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'text_widget', array(
				'default'		=> 	'#777777',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bg_copyright', array(
				'default'		=> 	'#edf1fa',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'text_copyright', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'footer_link', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'footer_link_hov', array(
				'default'		=> 	'#afafaf',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'bord_icon', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'social_icon', array(
				'default'		=> 	'#1c1d21',
				'type'			=> 	'option',
				'transport'		=> 	'postMessage',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			$wp_customize->add_setting( 'social_icon_hov', array(
				'default'		=> 	'#afafaf',
				'type'			=> 	'option',
				'capability'	=>	'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
			) );

			//CONTROL
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_border', array(
				'label'		=>	esc_html__( 'Border Top Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'top_border',
				'priority'	=>	1,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_btn', array(
				'label'		=>	esc_html__( 'Back to Top Button Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'top_btn',
				'priority'	=>	2,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_btn_hov', array(
				'label'		=>	esc_html__( 'Back to Top Button Hover Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'top_btn_hov',
				'priority'	=>	3,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_arrow', array(
				'label'		=>	esc_html__( 'Back to Top Arrow Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'top_arrow',
				'priority'	=>	4,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'top_arrow_hov', array(
				'label'		=>	esc_html__( 'Back to Top Arrow Hover Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'top_arrow_hov',
				'priority'	=>	5,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bg_footer', array(
				'label'		=>	esc_html__( 'Footer Background Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'bg_footer',
				'priority'	=>	6,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'title_widget', array(
				'label'		=>	esc_html__( 'Title Widget Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'title_widget',
				'priority'	=>	7,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_widget', array(
				'label'		=>	esc_html__( 'Text Widget Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'text_widget',
				'priority'	=>	8,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bg_copyright', array(
				'label'		=>	esc_html__( 'Copyright Background Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'bg_copyright',
				'priority'	=>	9,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_copyright', array(
				'label'		=>	esc_html__( 'Copyright Text Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'text_copyright',
				'priority'	=>	10,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_link', array(
				'label'		=>	esc_html__( 'Copyright Link Text Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'footer_link',
				'priority'	=>	11,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_link_hov', array(
				'label'		=>	esc_html__( 'Copyright Link Text Hover Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'footer_link_hov',
				'priority'	=>	12,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'bord_icon', array(
				'label'		=>	esc_html__( 'Social Icon Border Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'bord_icon',
				'priority'	=>	13,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'social_icon', array(
				'label'		=>	esc_html__( 'Social Icon Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'social_icon',
				'priority'	=>	14,
			) ) );

			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'social_icon_hov', array(
				'label'		=>	esc_html__( 'Social Icon Hover Color', 'hakim' ),
				'section'	=>	'footer_styling',
				'settings'	=>	'social_icon_hov',
				'priority'	=>	15,
			) ) );

			

		}
		add_action( 'customize_register', 'hakim_customize_register' );

	}
	
	
	function hakim_customizer_live_preview() {
		wp_enqueue_script( 'akmanda-customizer',	get_template_directory_uri().'/js/akmanda-customizer.js', array( 'jquery','customize-preview' ), NULL, true);
	}
	add_action( 'customize_preview_init', 'hakim_customizer_live_preview' );
	


	function hakim_customizer_header_output() {	

	//header styling
	$bg_header							=	get_option('bg_header', '#ffffff');
	$bord_header						=	get_option('bord_header', '#dce2ee');
	$header_info						=	get_option('header_info', '#afafaf');
	$nav_menu							=	get_option('nav_menu', '#1c1d21');
	$hov_menu							=	get_option('hov_menu', '#afafaf');
	$sub_menu							=	get_option('sub_menu', '#1c1d21');
	$sub_menu_hov						=	get_option('sub_menu_hov', '#afafaf');
	$sub_menu_bg						=	get_option('sub_menu_bg', '#edf1fa');


	//Content styling
	$title_block						=	get_option('title_block', '#1c1d21');
	$subtitle_block						=	get_option('subtitle_block', '#1c1d21');
	$body_text							=	get_option('body_text', '#777777');
	$practice_title						=	get_option('practice_title', '#1c1d21');
	$bord_button						=	get_option('bord_button', '#1c1d21');
	$text_button						=	get_option('text_button', '#1c1d21');
	$text_button_hov					=	get_option('text_button_hov', '#ffffff');
	$bg_hov								=	get_option('bg_hov', '#1c1d21');
	$team_name							=	get_option('team_name', '#1c1d21');
	$team_name_hov						=	get_option('team_name_hov', '#afafaf');
	$btn_case							=	get_option('btn_case', '#1c1d21');
	$btn_case_hov						=	get_option('btn_case_hov', '#afafaf');
	$bg_date							=	get_option('bg_date', '#3498db');
	$text_counter						=	get_option('text_counter', '#ffffff');
	$icon_testi							=	get_option('icon_testi', '#ffffff');
	$text_testi							=	get_option('text_testi', '#ffffff');
	$name_testi							=	get_option('name_testi', '#ffffff');
	$pagi_testi							=	get_option('pagi_testi', '#ffffff');
	$title_page							=	get_option('title_page', '#ffffff');
	$bg_form							=	get_option('bg_form', '#edf1fa');
	$input_form							=	get_option('input_form', '#ffffff');
	$title_sidebar						=	get_option('title_sidebar', '#D2D9E8');
	$border_sidebar						=	get_option('border_sidebar', '#edf1fa');
	$contact_info						=	get_option('contact_info', '#777777');
	$contact_info_title					=	get_option('contact_info_title', '#1c1d21');
	$project_detail						=	get_option('project_detail', '#1c1d21');
	$project_border						=	get_option('project_border', '#1c1d21');
	$project_title						=	get_option('project_title', '#1c1d21');
	$border_faq							=	get_option('border_faq', '#efeff1');

	//Footer styling
	$top_border							=	get_option('top_border', '#edf1fa');
	$top_btn							=	get_option('top_btn', '#edf1fa');
	$top_btn_hov						=	get_option('top_btn_hov', '#3498db');
	$top_arrow							=	get_option('top_arrow', '#333333');
	$top_arrow_hov						=	get_option('top_arrow_hov', '#ffffff');
	$bg_footer							=	get_option('bg_footer', '#ffffff');
	$title_widget						=	get_option('title_widget', '#1c1d21');
	$text_widget						=	get_option('text_widget', '#777777');
	$bg_copyright						=	get_option('bg_copyright', '#edf1fa');
	$text_copyright						=	get_option('text_copyright', '#1c1d21');
	$footer_link						=	get_option('footer_link', '#1c1d21');
	$footer_link_hov					=	get_option('footer_link_hov', '#afafaf');
	$bord_icon							=	get_option('bord_icon', '#1c1d21');
	$social_icon						=	get_option('social_icon', '#1c1d21');
	$social_icon_hov					=	get_option('social_icon_hov', '#afafaf');

	

	echo '<style type="text/css">';

	//=========HEADER STYLING======//

	echo '.top-bar{background-color:'.$bg_header.'}' ;
	echo '.top-bar{border-bottom-color:'.$bord_header.'}' ;
	echo '.practice-wrap.owl-theme .owl-controls .owl-nav:after{background-color:'.$bord_header.'}' ;
	echo '.info ul li i, .info ul li p, .info ul li a, .search form button{color:'.$header_info.'}' ;
	echo '.search form input{border-bottom-color:'.$header_info.'}' ;
	echo '#main-menu > ul > li > a{color:'.$nav_menu.'}' ;
	echo '#main-menu > ul > li > a:hover{color:'.$hov_menu.'}' ;
	echo '#main-menu ul ul li a{color:'.$sub_menu.'}' ;
	echo '#main-menu ul ul li a:hover{color:'.$sub_menu_hov.'}' ;
	echo '#main-menu ul ul li a{background-color:'.$sub_menu_bg.'}' ;


	//=========CONTENT STYLING======//

	echo '.title-section h5.wow, .practice-desc h5, .case-testimonial cite, .push h4, .comment-title h4, .comment-respond h3{color:'.$title_block.'}' ;
	echo '.title-section p{color:'.$subtitle_block.'}' ;
	echo '.practice-desc p, .caption-text p, .case-slider p, .text-content p, .panel-body p, .post-text p, .panel-body p, .comment-content p{color:'.$body_text.'}' ;
	echo '.practice-desc h5{color:'.$practice_title.'}' ;
	echo '.button, .home-form form p input.button, .contact-form input[type="submit"], .form-submit .submit{border-color:'.$bord_button.'}' ;
	echo '.button, .home-form form p input.button, .contact-form input[type="submit"], .form-submit .submit{color:'.$text_button.'}' ;
	echo '.button:hover, .home-form form p input.button:hover, .contact-form input[type="submit"]:hover, .form-submit .submit:hover{color:'.$text_button_hov.'}' ;
	echo '.button:hover, .home-form form p input.button:hover, .contact-form input[type="submit"]:hover, .form-submit .submit:hover{border-color:'.$bg_hov.'}' ;
	echo '.button:hover, .home-form form p input.button:hover, .contact-form input[type="submit"]:hover, .form-submit .submit:hover{background-color:'.$bg_hov.'}' ;
	echo '.caption h2 a, .case-content h4 a, a h3.post-title, .post-meta a, .meta-bottom .tag-wrapper ul li a, p.logged-in-as a, .blog-sidebar ul li a, .cat-item a, .tagcloud a, h4.panel-title, .tag-wrapper a, .categories a{color:'.$team_name.'}' ;
	echo '.caption h2 a:hover, .case-content h4 a:hover, a h3.post-title:hover, .post-meta a:hover, .meta-bottom .tag-wrapper ul li a:hover, p.logged-in-as a:hover, .blog-sidebar ul li a:hover, .cat-item a:hover, .tagcloud a:hover, h4.panel-title:hover, .tag-wrapper a:hover, .categories a:hover{color:'.$team_name_hov.'}' ;
	echo '.case-studies .case-content .content-left a.view-more{color:'.$btn_case.'}' ;
	echo '.case-studies .case-content .content-left a.view-more{border-bottom-color:'.$btn_case.'}' ;
	echo '.case-studies .case-content .content-left a.view-more:hover{color:'.$btn_case_hov.'}' ;
	echo '.case-studies .case-content .content-left a.view-more:hover{border-bottom-color:'.$btn_case_hov.'}' ;
	echo '.blog-item .post-thumb .date{background-color:'.$bg_date.'}' ;
	echo '.counter-detail h2.value, .counter-detail h5.title, .counter-detail p.subtitle{color:'.$text_counter.'}' ;
	echo '.testimonial-icon i{color:'.$icon_testi.'}' ;
	echo '.testimonial-content p, .pagination-practice .link-post p, .pagination-practice .link-post h4{color:'.$text_testi.'}' ;
	echo '.testimonial-content h4, .testi-job{color:'.$name_testi.'}' ;
	echo '.testimonial-slider .flex-control-paging li a{border-color:'.$pagi_testi.'}' ;
	echo '.testimonial-slider .flex-control-paging li a.flex-active{background-color:'.$pagi_testi.'}' ;
	echo '.page-title h3, .page-title p{color:'.$title_page.'}' ;
	echo '.form-section, .contact-form-section{background-color:'.$bg_form.'}' ;
	echo '.home-form form p input, .home-form form p textarea, .contact-form form p input, .contact-form form p textarea{background-color:'.$input_form.'}' ;
	echo '.blog-sidebar .widget .heading-block h4, blockquote:before{color:'.$title_sidebar.'}' ;
	echo '.blog-sidebar .widget, blockquote, .sidebar .searchform input[type="search"],.comments-area ol.comment-list li article.comment{border-color:'.$border_sidebar.'}' ;
	echo '.blog-sidebar .widget ul li, .post-content .post-meta{border-bottom-color:'.$border_sidebar.'}' ;
	echo '.comments-area{border-top-color:'.$border_sidebar.'}' ;
	echo '.case-studies .content-right .case-testimonial:before{color:'.$border_sidebar.'}' ;
	echo '.comments-area ol.comment-list li ul.children:before{background-color:'.$border_sidebar.'}' ;
	echo '.contact-text p{color:'.$contact_info.'}' ;
	echo '.contact-text h5, .con-det-icon, .tag-wrapper .icon, .categories .icon{color:'.$contact_info_title.'}' ;
	echo '.con-det-icon{border-color:'.$contact_info_title.'}' ;
	echo '.con-det-icon:before{background-color:'.$contact_info_title.'}' ;
	echo '.project-text p{color:'.$project_detail.'}' ;
	echo '.project-info .icon{border-color:'.$project_border.'}' ;
	echo '.project-info .icon:before, .project-intro .title h4:after{background-color:'.$project_border.'}' ;
	echo '.project-intro{color:'.$project_title.'}' ;
	echo '.faq-practice .panel, .team-practice .flexslider, .panel-group .panel{border-color:'.$border_faq.'}' ;


	//=========FOOTER STYLING======//

	echo '.site-footer{border-top-color:'.$top_border.'}' ;
	echo '#back-to-top{background-color:'.$top_btn.'}' ;
	echo '#back-to-top:hover{background-color:'.$top_btn_hov.'}' ;
	echo '#back-to-top{color:'.$top_arrow.'}' ;
	echo '#back-to-top:hover{color:'.$top_arrow_hov.'}' ;
	echo '.site-footer{background-color:'.$bg_footer.'}' ;
	echo '.widget-footer h2.title{color:'.$title_widget.'}' ;
	echo '.widget-footer .textwidget p{color:'.$text_widget.'}' ;
	echo '.footer-copyright{background-color:'.$bg_copyright.'}' ;
	echo '.copyright-text{color:'.$text_copyright.'}' ;
	echo '.copyright-text a{color:'.$footer_link.'}' ;
	echo '.copyright-text a:hover{color:'.$footer_link_hov.'}' ;
	echo '.social-footer li a{border-color:'.$bord_icon.'}' ;
	echo '.social-footer li a{color:'.$social_icon.'}' ;
	echo '.social-footer li a:hover{color:'.$social_icon_hov.'}' ;
	


	
	echo '</style> ';

	}

	add_action( 'wp_head', 'hakim_customizer_header_output');