(function($) {

	'use strict'; 

	new WOW().init();

	if ($('#back-to-top').length) {
		var scrollTrigger = 100, // px
			backToTop = function () {
				var scrollTop = $(window).scrollTop();
				if (scrollTop > scrollTrigger) {
					$('#back-to-top').addClass('show');
				} else {
					$('#back-to-top').removeClass('show');
				}
			};
		backToTop();
		$(window).on('scroll', function () {
			backToTop();
		});
		$('#back-to-top').on('click', function (e) {
			e.preventDefault();
			$('html,body').animate({
				scrollTop: 0
			}, 700);
		});
		$( "#back-to-top" ).mouseover(function() {
			$( ".site-footer" ).addClass( "blue" );
		});
		$( "#back-to-top" ).mouseout(function() {
			$( ".site-footer" ).removeClass( "blue" );
		});
	}

	/*-----------------------------------------------------------------------------------*/
	/*  Menu Mobile
	/*-----------------------------------------------------------------------------------*/

	var slideRight = new Menu({
		wrapper: '#main-wrapper',
		type: 'slide-right',
		menuOpenerClass: '.slide-button',
		maskId: '#slide-overlay'
	});

	var slideRightBtn = document.querySelector('#slide-buttons');
  
	slideRightBtn.addEventListener('click', function(e) {
		e.preventDefault;
		slideRight.open();
	});

	$("#c-menu--slide-right ul li.menu-item-has-children").click(function() {
	  $( this ).toggleClass( "menu-selected" );
	});

	/*-----------------------------------------------------------------------------------*/
	/*  Slider Home
	/*-----------------------------------------------------------------------------------*/

	var windowWidth = $(window).width();

	function sliderEqualHeight() {
		var slideHeight = $('#slider.team ul li.slide-item');
		var slideWrap = $('#slider.team .caption-wrap').height();

			slideHeight.css('min-height', slideWrap + 650);
	}

	function formEqualHeight() {
		var formRight = $('.form-section .home-form ');
		var formLeft = $('.form-section .image-left').height();

			formRight.css('min-height', formLeft);
	}

	function horizontalCenter() {
		var screenHeight = $(window).width();
			$(".horizontal-center").each(function() {
			$(this).css('left', ($(this).parent().width() - $(this).width()) / 2);
		});
	}

	function verticalCenter() {
		var screenHeight = $(window).height();
			$(".vertical-center").each(function() {
			$(this).css('top', ($(this).parent().height() - $(this).height()) / 2);
		});
	}

	window.onload = function() {
		sliderEqualHeight();
		formEqualHeight();
		horizontalCenter();
		verticalCenter();
	};

	window.onresize = function() {
		sliderEqualHeight();
		formEqualHeight();
		horizontalCenter();
		verticalCenter();
	};

})(jQuery); 