<?php get_header();

while ( have_posts() ) : the_post(); ?>

<?php hakim_page_title(); ?>

<!-- CONTENT START
============================================= -->
<div id="content" class="no-padding clearfix">

	<!-- Practice START
	============================================= -->
	<div class="case-studies wrapper clearfix">
		
		<div class="cases clearfix">
			<div class="container">
				<?php if ( has_post_thumbnail()) { ?>
					<div class="case-thumb">
						<?php the_post_thumbnail(); ?>
					</div><!-- thumbnail-->
				<?php } ?> 
				
				<?php the_content(); ?>
			</div>
		</div>

		<?php 
		$project_section_title 		= get_field('project_section_title'); 
		$project_section_subtitle 	= get_field('project_section_subtitle'); ?>

		<div class="project-detail">
			<div class="container">
				<div class="row">
					<?php if(!empty($project_section_title) || !empty($project_section_subtitle)) { ?>
					<div class="title-section">
						<?php if(!empty($project_section_title)) { ?>
							<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $project_section_title ); ?></h5>
						<?php }
						if(!empty($project_section_subtitle)) { ?>
							<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $project_section_subtitle ); ?></div>
						<?php } ?>
					</div>
					<?php } ?>

					<?php $project_detail 	= get_field('project_detail');
					$cases_text_column 	= get_field('cases_text_column');
					if(have_rows('project_detail')): ?>
					<div class="project-desc clearfix">
						
						<?php while(have_rows('project_detail')):the_row();
						$project_text		= get_sub_field('project_text'); ?>
						<div class="<?php echo sanitize_text_field( $cases_text_column ); ?>">
							<div class="project-text wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.7s">
								<?php echo balancetags( $project_text ); ?>
							</div>
						</div>
						<?php endwhile; ?>

					</div>
					<?php endif; ?>

					<?php $project_detail 	= get_field('project_detail');
					$cases_text_column 	= get_field('cases_text_column');
					if(have_rows('project_detail')): ?>
					<div class="project-info clearfix">
						
						<?php while(have_rows('project_detail')):the_row();
						$project_icon		= get_sub_field('project_icon');
						$project_title		= get_sub_field('project_title');
						$project_author		= get_sub_field('project_author'); ?>
						<div class="<?php echo sanitize_text_field( $cases_text_column ); ?> wow fadeIn" data-wow-duration="2s" data-wow-delay="0.3s">
							<div class="icon">
								<img src="<?php echo esc_url( $project_icon ); ?>" alt="<?php esc_attr_e( 'Project Image', 'hakim' ); ?>">
							</div>

							<div class="project-intro">
								<div class="title">
									<h4><?php echo sanitize_text_field( $project_title ); ?></h4>
									<?php echo sanitize_text_field( $project_author ); ?>
								</div>
							</div>
						</div>
						
						<?php endwhile; ?>

					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>

		<div class="pagination-practice clearfix">
			<div class="container">
				<div class="row">

				<?php $next_post = get_next_post();
				$previous_post = get_previous_post(); ?>
				
				<?php if ( get_previous_post() ) : ?>
				<div class="prev-practice col-md-6">
					<a href="<?php echo get_permalink( $previous_post->ID ); ?>">
						<div class="nav-practice-wrap">
							<?php echo get_the_post_thumbnail($previous_post->ID,'full'); ?>
							<div class="link-post">
								<p><?php esc_html_e( 'Previous Post', 'hakim' ); ?></p>
								<h4 class="title"><?php echo get_the_title( $previous_post->ID ); ?></h4>
							</div>
							<div class="overlay"></div>
						</div>
					</a>
				</div>
				<?php endif; ?>
				
				<?php if ( get_next_post() ) : ?>
				<div class="next-practice col-md-6">
					<a href="<?php echo get_permalink( $next_post->ID ); ?>">
						<div class="nav-practice-wrap">
							<?php echo get_the_post_thumbnail($next_post->ID,'full'); ?>
							<div class="link-post">
								<p><?php esc_html_e( 'Next Post', 'hakim' ); ?></p>
								<h4 class="title"><?php echo get_the_title( $next_post->ID ); ?></h4>
							</div>
							<div class="overlay"></div>
						</div>
					</a>
				</div>
				<?php endif; ?>

				</div>
			</div>
		</div>
		<!-- pagination end -->

	</div>
	<!-- Practice END -->

</div>
<!-- CONTENT END -->

<?php
endwhile; // end of the loop. 
get_footer(); ?>