<?php get_header();

while ( have_posts() ) : the_post();

$featured_member 			= get_field('featured_member'); 

$contact_practice_image 	= get_field('contact_practice_image'); 
$contact_practice_title 	= get_field('contact_practice_title'); 
$practice_contact 			= get_field('practice_contact'); 
$practice_contact_backgound	= get_field('practice_contact_backgound'); 
$contact_practice_subtitle 	= get_field('contact_practice_subtitle'); ?>

<?php hakim_page_title(); ?>

<!-- CONTENT START
============================================= -->
<div id="content" class="clearfix">

	<!-- Practice START
	============================================= -->
	<div class="practice right-sidebar wrapper clearfix">
		<div class="container">

			<!-- Practice section START
			============================================= -->
			<div class="practice-section content-section">

				<div class="thumb">
					<?php the_post_thumbnail(); ?>
				</div>

				<div class="text-content">
					<?php the_content(); ?>
				</div>

				<div class="practice-post-object clearfix">
					<h4><?php esc_html_e( 'Attorney Concerned', 'hakim' ); ?></h4>
					<div class="row">

						<?php if( $featured_member ): ?>
						<div class="team-practice col-md-5">								

							<div class="flexslider clearfix">
								<ul class="slides">
								<?php foreach( $featured_member as $post): // variable must be called $post (IMPORTANT)
										if (has_post_thumbnail()) { 
										$practice_thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); 
											$practice_thumb_res = aq_resize($practice_thumb[0],  370 , 255, true, true, true);
										} ?>
									<?php setup_postdata($post); ?>
									<li class="the-team">
										<?php 
										$team_function		= get_field('team_function'); ?>

										<img src="<?php echo esc_url($practice_thumb[0]); ?>" alt="<?php esc_attr_e( 'Practice Image', 'hakim' ); ?>">
										<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
										<?php if(!empty($team_function)) { ?>
											<p class="position"><?php echo sanitize_text_field( $team_function ); ?></p>
										<?php } ?>										
									</li>
								<?php endforeach; ?>
								<?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
								</ul>
							</div>
						</div>
						<script type="text/javascript">
						jQuery(window).load(function() { 
							jQuery('.team-practice .flexslider').flexslider({
								animation: "slide",
								directionNav: false,
					            controlNav: true,  
					            touch: true
							});
						});
						</script>
						<?php endif; ?>

						<div class="faq-practice col-md-7 clearfix">
							<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
							<?php  
							$ids = get_field('faq_practice', false, false);

							$faq_practice_args = array(
								'post_type'			=> 'hakim-faq',
								'post__in'			=> $ids,
								'post_status'		=> 'any',
								'orderby'        	=> 'rand',
							);
							
							$faq_practice_loop = new WP_Query($faq_practice_args);
							if ($faq_practice_loop->have_posts()) : while($faq_practice_loop->have_posts()) : $faq_practice_loop->the_post(); ?>
							
							<div class="panel panel-default">

								<a data-toggle="collapse" data-parent="#accordion" href="#collapse-<?php the_ID(); ?>" aria-expanded="true" aria-controls="collapse-<?php the_ID(); ?>">
									<div class="panel-heading" role="tab" id="heading-<?php the_ID(); ?>">
										<h4 class="panel-title"><?php the_title(); ?></h4>
									</div>
								</a>

								<div id="collapse-<?php the_ID(); ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-<?php the_ID(); ?>">
									<div class="panel-body">
										<?php the_content(); ?>
									</div>
								</div>
							
							</div>

							<?php endwhile; wp_reset_postdata(); endif; ?>

							<script type="text/javascript">
							jQuery('.faq-practice .panel-default:first-child').each(function() {
								jQuery(this).find( '.panel-collapse' ).addClass( 'show' );
							});
							</script>
							
							</div>
						</div><!-- faq end -->

					</div>
				</div>

			</div>
		</div>

		<div class="contact-practice clearfix">
			<?php if(!empty($practice_contact)){ ?>
			<div class="form-section clearfix">
				
				<?php if(!empty($contact_practice_image)) { ?>
				<div class="image-left col-md-5 wow fadeInLeft" data-wow-duration="2s" data-wow-delay="0.3s">
					<div class="row">
						<img src="<?php echo esc_url( $contact_practice_image ); ?>" alt="<?php esc_attr_e( 'Practice Contact', 'hakim' ); ?>">
					</div>
				</div>
				<?php } ?>

				<div class="home-form col-md-7" style="background-image: url(<?php echo esc_url( $practice_contact_backgound ); ?>);">

					<div class="the-form vertical-center text-center">
						<?php if(!empty($contact_practice_title) || !empty($contact_practice_subtitle)) { ?>
						<div class="title-section">
							<?php if(!empty($contact_practice_title)) { ?>
								<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $contact_practice_title ); ?></h5>
							<?php }
							if(!empty($contact_practice_subtitle)) { ?>
								<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $contact_practice_subtitle ); ?></div>
							<?php } ?>
						</div>
						<?php } ?>

						<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s">
							<?php echo do_shortcode('[contact-form-7 id="' . $practice_contact . '"]');  ?>
						</div>
					</div>

				</div>
			</div>
			<?php } ?>
		</div>	

		<div class="pagination-practice clearfix">
			<div class="container">
				<div class="row">

				<?php $next_post = get_next_post();
				$previous_post = get_previous_post(); ?>
				
				<?php if ( get_previous_post() ) : ?>
				<div class="prev-practice col-md-6">
					<a href="<?php echo get_permalink( $previous_post->ID ); ?>">
						<div class="nav-practice-wrap">
							<?php echo get_the_post_thumbnail($previous_post->ID,'full'); ?>
							<div class="link-post">
								<p><?php esc_html_e( 'Previous Post', 'hakim' ); ?></p>
								<h4 class="title"><?php echo get_the_title( $previous_post->ID ); ?></h4>
							</div>
							<div class="overlay"></div>
						</div>
					</a>
				</div>
				<?php endif; ?>
				
				<?php if ( get_next_post() ) : ?>
				<div class="next-practice col-md-6">
					<a href="<?php echo get_permalink( $next_post->ID ); ?>">
						<div class="nav-practice-wrap">
							<?php echo get_the_post_thumbnail($next_post->ID,'full'); ?>
							<div class="link-post">
								<p><?php esc_html_e( 'Next Post', 'hakim' ); ?></p>
								<h4 class="title"><?php echo get_the_title( $next_post->ID ); ?></h4>
							</div>
							<div class="overlay"></div>
						</div>
					</a>
				</div>
				<?php endif; ?>

				</div>
			</div>
		</div>

	</div>
	<!-- Practice END -->

</div>
<!-- CONTENT END -->

<?php
endwhile; // end of the loop. 
get_footer(); ?>