<?php get_header();
while ( have_posts() ) : the_post();

$team_function	= get_field('team_function');
$facebook		= get_field('facebook');
$twitter		= get_field('twitter');
$dribble		= get_field('dribble');
$instagram		= get_field('instagram');
$behance		= get_field('behance');
$google_plus	= get_field('google_plus');

$practice_team_title	= get_field('practice_team_title');
$case_team_title	= get_field('case_team_title');
$education_section_title	= get_field('education_section_title');
$award_section_title	= get_field('award_section_title');
$education_list	= get_field('education_list');
$awards			= get_field('awards');

$team_contact			= get_field('team_contact');
?>

<!-- CONTENT START
============================================= -->
<div id="content" class="clearfix">
	

	<!-- Team Intro Start -->
	<div class="team-intro clearfix">
		<div class="container">
			<div class="row">
				<div class="team-img col-md-4">
					<?php the_post_thumbnail(); ?>
				</div>

				<div class="team-content col-md-8">
					<h3 class="name"><?php the_title(); ?></h3>
					<p class="position"><?php echo sanitize_text_field( $team_function ); ?></p>

					<ul class="team-social clearfix">
						<?php if(!empty($facebook)){ ?>
							<li><a href="<?php echo esc_url( $facebook ); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
						<?php }
						if(!empty($twitter)){ ?>
							<li><a href="<?php echo esc_url( $twitter ); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
						<?php }
						if(!empty($dribble)){ ?>
							<li><a href="<?php echo esc_url( $dribble ); ?>" target="_blank"><i class="fa fa-dribbble"></i></a></li>
						<?php }
						if(!empty($instagram)){ ?>
							<li><a href="<?php echo esc_url( $instagram ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
						<?php }
						if(!empty($behance)){ ?>
							<li><a href="<?php echo esc_url( $behance ); ?>" target="_blank"><i class="fa fa-behance"></i></a></li>
						<?php }
						if(!empty($google_plus)){ ?>
							<li><a href="<?php echo esc_url( $google_plus ); ?>" target="_blank"><i class="fa fa-google"></i></a></li>
						<?php } ?>
					</ul>

					<div class="content-text clearfix">
						<?php the_content(); ?>
					</div>

					<div class="contact-team">
						<?php 	
						$team_email	= get_field('team_email');
						$team_phone	= get_field('team_phone');
						$team_url	= get_field('team_url'); ?>
						
						<h4 class="title-border">
							<?php esc_html_e( 'Contact', 'hakim' ); ?> <?php the_title(); ?>
						</h4>

						<div class="contact-detail-info clearfix">
							<?php if(!empty($team_email)) { ?>
							<p class="email"><i class="fa fa-envelope"></i> <?php echo sanitize_text_field( $team_email ); ?></p>
							<?php }
							if(!empty($team_phone)) { ?>
							<p class="phone"><i class="fa fa-phone"></i> <?php echo sanitize_text_field( $team_phone ); ?></p>
							<?php }
							if(!empty($team_url)) { ?>
							<p class="url"><i class="fa fa-globe"></i> <?php echo sanitize_text_field( $team_url ); ?></p>
							<?php } ?>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- Team Intro End -->

	<!-- Team Detail Start -->
	<div class="team-detail clearfix">
		<div class="container">
			<div class="row">

				<?php if(have_rows('education_list')): ?>
				<div class="education col-md-6">
					<?php if(!empty($education_section_title)){ ?>
					<h4 class="title-border"><?php echo sanitize_text_field( $education_section_title ); ?></h4>
					<?php } ?>

					
					<div class="education-detail">
						
						<?php while(have_rows('education_list')):the_row();
						$education_period	= get_sub_field('education_period');
						$education_detail	= get_sub_field('education_detail'); ?>
						<p class="edu-list wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.7s">
						<strong>
							<?php echo sanitize_text_field( $education_period ); ?>
						</strong> - 
						<?php echo sanitize_text_field( $education_detail ); ?>
						</p>
						<?php endwhile; ?>

					</div>
					
				</div>
				<?php endif; ?>
				
				<?php if(have_rows('awards')): ?>
				<div class="awards col-md-6">
					<?php if(!empty($award_section_title)){ ?>
					<h4 class="title-border"><?php echo sanitize_text_field( $award_section_title ); ?></h4>
					<?php } ?>
					 
					<div class="awards-list">
						<?php while(have_rows('awards')):the_row();
						$award_text	= get_sub_field('award_text'); ?>
						<p class="aww-list wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.7s">
							<?php echo balancetags( $award_text ); ?>
						</p>
						<?php endwhile; ?>
					</div>
				</div>
				<?php endif; ?>

			</div>
		</div>
	</div>
	<!-- Team Detail End -->
	
	<!-- Quick Contact Start -->
	<div class="form-section clearfix">
		<?php
		$team_contact_image_left 	= get_field('team_contact_image_left');
		$team_contact_image_right 	= get_field('team_contact_image_right');
		$team_contact_title 	= get_field('team_contact_title');
		$team_contact_sub_title 	= get_field('team_contact_sub_title');
		?>

		<div class="image-left col-md-5 wow fadeInLeft" data-wow-duration="2s" data-wow-delay="0.3s">
			<div class="row">
				<?php if(!empty($team_contact_image_left)) { ?>
				<img src="<?php echo esc_url( $team_contact_image_left ); ?>" alt="<?php esc_attr_e( 'Contact Image', 'hakim' ); ?>">
				<?php } ?>
			</div>
		</div>

		<div class="home-form col-md-7" style="background-image: url(<?php echo esc_url( $team_contact_image_right ); ?>);">
			<?php if( $team_contact ): ?>

				<div class="the-form vertical-center text-center">
					<?php if(!empty($team_contact_title) || !empty($team_contact_sub_title)) { ?>
					<div class="title-section">
						<?php if(!empty($team_contact_title)) { ?>
							<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $team_contact_title ); ?></h5>
						<?php }
						if(!empty($team_contact_sub_title)) { ?>
							<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $team_contact_sub_title ); ?></div>
						<?php } ?>
					</div>
					<?php } ?>

					<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s">
						<?php echo do_shortcode('[contact-form-7 id="' . $team_contact . '"]');  ?>
					</div>
				</div>

			<?php endif; ?>
		</div>
	</div>
	<!-- Quick Contact End -->

	<!-- Detail Case Practice Start -->
	<div class="case-practice clearfix">
		<div class="container">
			<div class="row">
				<div class="practice-areas col-md-6">
				
					<?php if(!empty($practice_team_title)){ ?>
					<h4 class="title-border"><?php echo sanitize_text_field( $practice_team_title ); ?></h4>
					<?php } ?>
					
					<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
						<?php $ids = get_field('team_practice_areas', false, false);
						$hakim_team_practice = array(
							'post_type'			=> 'hakim-practice',
							'post__in'			=> $ids,
						);
						
						$hakim_team_practice_loop = new WP_Query($hakim_team_practice);
						if ($hakim_team_practice_loop->have_posts()) : while($hakim_team_practice_loop->have_posts()) : $hakim_team_practice_loop->the_post(); ?>
							
						<div class="panel panel-default">

							<a data-toggle="collapse" data-parent="#accordion" href="#collapse-<?php the_ID(); ?>" aria-expanded="true" aria-controls="collapse-<?php the_ID(); ?>">
								<div class="panel-heading" role="tab" id="heading-<?php the_ID(); ?>">
									<h4 class="panel-title"><?php the_title(); ?><i class="fa fa-plus pull-right"></i></h4>
								</div>
							</a>

							<div id="collapse-<?php the_ID(); ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-<?php the_ID(); ?>">
								<div class="panel-body">
									<p class="excerpt">
										<?php echo hakim_excerpt(15); ?>
									</p>
									<a href="<?php the_permalink(); ?>" class="button"><?php esc_html_e( 'Read More', 'hakim' ); ?></a>
								</div>
							</div>
						
						</div>
						
						<?php endwhile; wp_reset_postdata(); endif; ?>
					</div>

				</div>
				<!-- practice end -->

				<div class="case-team col-md-6">
						
					<?php if(!empty($case_team_title)){ ?>
					<h4 class="title-border"><?php echo sanitize_text_field( $case_team_title ); ?></h4>
					<?php } ?>
					
					<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
						<?php $ids_case = get_field('team_case_studies', false, false);
						$hakim_case_practice = array(
							'post_type'			=> 'hakim-case',
							'post__in'			=> $ids_case,
						);
						
						$hakim_case_practice_loop = new WP_Query($hakim_case_practice);
						if ($hakim_case_practice_loop->have_posts()) : while($hakim_case_practice_loop->have_posts()) : $hakim_case_practice_loop->the_post(); ?>
							
						<div class="panel panel-default">

							<a data-toggle="collapse" data-parent="#accordion" href="#collapse-<?php the_ID(); ?>" aria-expanded="true" aria-controls="collapse-<?php the_ID(); ?>">
								<div class="panel-heading" role="tab" id="heading-<?php the_ID(); ?>">
									<h4 class="panel-title"><?php the_title(); ?><i class="fa fa-plus pull-right"></i></h4>
								</div>
							</a>

							<div id="collapse-<?php the_ID(); ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-<?php the_ID(); ?>">
								<div class="panel-body">
									<p class="excerpt">
										<?php echo hakim_excerpt(15); ?>
									</p>
									<a href="<?php the_permalink(); ?>" class="button"><?php esc_html_e( 'Read More', 'hakim' ); ?></a>
								</div>
							</div>
						
						</div>
						
						<?php endwhile; wp_reset_postdata(); endif; ?>
					</div>

				</div>
				<!-- practice end -->
			</div>
		</div>
	</div>
	<!-- Detail Case Practice End -->

</div>
<!-- CONTENT END -->

<?php 
endwhile; // end of the loop. 
get_footer(); ?>