<?php get_header();

/*
Template Name: About Template
*/

while ( have_posts() ) : the_post();

if( class_exists('acf') ) { 

?>

<?php hakim_page_title(); ?>

<div class="about-template clearfix">
	
	<!-- Form Section -->
	<?php
	$about_image 		= get_field('about_image');
	$about_title 		= get_field('about_title');
	$about_subtitle 	= get_field('about_subtitle');
	$about_description 	= get_field('about_description');
	?>

	<div class="about-section clearfix">
		<div class="container">
			<div class="row">
				<?php if ( has_post_thumbnail()) { ?>
				<div class="about-img col-md-6">
					<?php
					$about_img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); 
					$about_img_res = aq_resize($about_img[0],  490 , 260, true, true, true); 
					if ($about_img_res) {
						$about_img_res = $about_img_res;
					} else {
						$about_img_res = wp_get_attachment_image_src( get_post_thumbnail_id(), 'hakim-about'); 
						$about_img_res = $about_img_res[0];
					}
					?>
					<img src="<?php echo esc_url( $about_img_res ); ?>" alt="<?php esc_attr_e( 'About', 'hakim' ); ?>">
					<div class="img-bord"></div>
				</div>
				<?php } ?>

				<div class="about-text col-md-6">
					<?php if(!empty($about_title)) { ?>
						<h3 class="title-border"><?php echo sanitize_text_field( $about_title ); ?></h3>
					<?php }
					if(!empty($about_subtitle)) { ?>
						<span class="subtitle"><?php echo sanitize_text_field( $about_subtitle ); ?></span>
					<?php } ?>
					
					<div class="about-desc"><?php the_content(); ?></div>
				</div>
			</div>
		</div>
	</div>

	<!-- FEATURES START
	============================================= -->
	<?php 
		$feature_subtitle	= get_field('feature_subtitle');
		$feature_title		= get_field('feature_title');
		$the_feature		= get_field('the_feature');
	?>

	<?php if(have_rows('the_feature')): ?>
	<div class="features clearfix">
		<div class="container">
			<div class="row">

				<?php if(!empty($feature_title) || !empty($feature_subtitle)) { ?>
					<div class="title-section">
						<?php if(!empty($feature_subtitle)) { ?>
							<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $feature_title ); ?></h5>
						<?php } 
						if(!empty($feature_title)) { ?>
							<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $feature_subtitle ); ?></div>
						<?php } ?>
					</div>
					<?php } ?>
				
				<div class="features-wrap">

					<?php while(have_rows('the_feature')):the_row(); 
						$feature_icon			= get_sub_field('feature_icon');
						$feature_item_title		= get_sub_field('feature_item_title');
						$feature_description	= get_sub_field('feature_description');
					?>
					<div class="col-md-4">
						<div class="features-item text-center wow fadeInUp" data-wow-delay="0.5s">
							
							<?php if(!empty($feature_icon)) { ?>
							<div class="con-det-icon">
								<i class="fa <?php echo sanitize_text_field( $feature_icon ); ?>"></i>
							</div>
							<?php } ?>

							<div class="text">
								<?php if(!empty($feature_item_title)) { ?>
									<h4><?php echo sanitize_text_field( $feature_item_title ); ?></h4>
								<?php }
								if(!empty($feature_description)) { ?>
									<?php echo balancetags( $feature_description ); ?>
								<?php } ?>
							</div>
						</div>
					</div>
					<?php endwhile; ?>

				</div>
			</div>
		</div>
	</div>
	<?php endif; ?>
	<!-- FEATURES END -->

	<!-- Counter Section -->
	<?php 
		$counter_item_column_about		= get_field('counter_item_column_about');
		$counter_item_about				= get_field('counter_item_about');
		$counter_background_image_about	= get_field('counter_background_image_about');

	if(have_rows('counter_item_about')): ?>
	<div class="counter-section clearfix" style="background-image: url(<?php echo esc_url( $counter_background_image_about ); ?>);">
		<div class="container">
			<div class="row">
				<?php while(have_rows('counter_item_about')):the_row();
					$counter_image		= get_sub_field('counter_image');
					$counter_value		= get_sub_field('counter_value');
					$counter_title		= get_sub_field('counter_title');
					$counter_subtitle	= get_sub_field('counter_subtitle');
				?>
				<div class="counter-item text-center <?php echo sanitize_text_field( $counter_item_column_about ); ?> wow fadeInUp">
					<?php if(!empty($counter_image)) { ?>
					<div class="counter-img">
						<img src="<?php echo esc_url( $counter_image ); ?>" alt="<?php echo sanitize_text_field( $counter_title ); ?>">
					</div>
					<?php } ?>

					<div class="counter-detail">
						<?php if(!empty($counter_value)) { ?>
							<h2 class="value counter"><?php echo sanitize_text_field( $counter_value ); ?></h2>
						<?php }
						if(!empty($counter_title)) { ?>
							<h5 class="title"><?php echo sanitize_text_field( $counter_title ); ?></h5>
						<?php }
						if(!empty($counter_subtitle)) { ?>
							<p class="subtitle"><?php echo sanitize_text_field( $counter_subtitle ); ?></p>
						<?php } ?>
					</div>
				</div>
				<?php endwhile; ?>
			</div>
		</div>
	</div>
	<script type="text/javascript">
	jQuery(document).ready(function() { 
		jQuery('.counter').counterUp({
            delay: 20,
            time: 3000
        });
    });
	</script>
	<?php endif; ?>
	<!-- Counter Section End -->

	<!-- Team Section Start-->
	<?php $use_team_about 		= get_field('use_team_about');
		$team_per_page_about	= get_field('team_per_page_about');
	if($use_team_about  == true) { ?>
	<div class="team-section demo-2 wow fadeIn" data-wow-duration="2s" data-wow-delay="0.3s">
		<div class="team-slider sl-slider-wrapper home-team clearfix">
			<div class="sl-slider">

				<?php $hakim_team_about_args = array(
				'post_type'		=> 'hakim-team',
				'posts_per_page' => $team_per_page_about,
				);
				
				$hakim_team_about_loop = new WP_Query($hakim_team_about_args);
				if ($hakim_team_about_loop->have_posts()) : while($hakim_team_about_loop->have_posts()) : $hakim_team_about_loop->the_post();

				$team_slider_background	= get_field('team_slider_background'); ?>

					<div class="sl-slide slide-item" data-orientation="vertical" data-slice1-rotation="-5" data-slice2-rotation="10" data-slice1-scale="2" data-slice2-scale="1">
						<div class="sl-slide-inner">
							<div class="bg-img" <?php if(!empty($team_slider_background)) { ?>style="background-image: url(<?php echo esc_url( $team_slider_background ); ?>);" <?php } ?>></div>
							<div class="container">
								<div class="row">
									<div class="caption col-md-6">
										<?php 
										$team_function		= get_field('team_function'); ?>

										<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
										<?php if(!empty($team_function)) { ?>
											<p class="position"><?php echo sanitize_text_field( $team_function ); ?></p>
										<?php } ?>
										<div class="caption-text">
											<p><?php echo hakim_excerpt(40); ?></p>
										</div>
										
										<a href="<?php the_permalink(); ?>" class="button"><?php esc_html_e( 'About Me', 'hakim' ); ?></a>
									</div>
									
									<div class="team-img col-md-6">
										<div class="the-thumb">
											<?php the_post_thumbnail(); ?>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>

				<?php endwhile; wp_reset_postdata(); endif; ?>

			</div>

			<nav class="team-slider-nav team-slide-nav">
				<span class="nav-arrow-prev"><i class="icon icon-arrow-left"></i></span>
				<span class="nav-arrow-next"><i class="icon icon-arrow-right"></i></span>
			</nav>
		</div>
	</div>
	<script type="text/javascript">
	jQuery(window).load(function() { 
		var Page = (function() {

        var jQuerynavArrows = jQuery( '.team-slider-nav' ),
            slitslider = jQuery( '.team-slider' ).slitslider( {

            } ),

            init = function() {

                initEvents();
                
            },
            initEvents = function() {

                // add navigation events
                jQuerynavArrows.children( ':last' ).on( 'click', function() {

                    slitslider.next();
                    return false;

                } );

                jQuerynavArrows.children( ':first' ).on( 'click', function() {
                    
                    slitslider.previous();
                    return false;

                } );

            };

            return { init : init };

            })();

        Page.init();
    });
	</script>
	<?php } ?>
	<!-- Team Seaction End-->

	<!-- Client Section -->
	<?php 
	$client_item_column_about		= get_field('client_item_column_about');
	$the_client_about				= get_field('the_client_about');

	if(have_rows('the_client_about')): ?>
	<div class="client-section clearfix">
		<div class="container">

		<?php while(have_rows('the_client_about')):the_row();
			$client_image		= get_sub_field('client_image');
			$client_name		= get_sub_field('client_name');
			$client_url			= get_sub_field('client_url');
		?>
		<div class="client-item <?php echo sanitize_text_field( $client_item_column_about ); ?> wow fadeInUp">
			<?php if(!empty($client_url)) { ?><a href="<?php echo esc_url( $client_url ); ?>"><?php } ?>
				
				<?php if(!empty($client_image)) { ?>
					<img src="<?php echo esc_url( $client_image ); ?>" alt="<?php echo sanitize_text_field( $client_name ); ?>">
				<?php } ?>

			<?php if(!empty($client_url)) { ?></a><?php } ?>
		</div>
		<?php endwhile; ?>

		</div>
	</div>
	<?php endif; ?>
	<!-- Client Section end -->
	
</div>

<?php } 

else { ?>

<div id="content" class="single-wrapper">
	<!-- Page Title -->
	<div class="grey-background wow fadeIn">
		<div class="container">
			<div class="heading-block page-title wow fadeIn">
				<h1>
					<?php esc_html_e( 'Please Activate ACF plugin to use this Page Template', 'hakim' ); ?>
				</h1>
			</div>
		</div>
	</div>	

</div>
<!-- CONTENT END -->


<?php } ?>

<?php
endwhile; // end of the loop.
get_footer(); ?>