<?php get_header();

/*
Template Name: Case Studies Template
*/

if( class_exists('acf') ) { 
?>

<?php hakim_page_title(); ?>

<!-- CONTENT START
============================================= -->
<div id="content" class="case-studies-page clearfix">	
	<div class="container">
		<div class="row">
			
			<div class="case-studies-wrap wow fadeIn" data-wow-duration="2s" data-wow-delay="0.3s">
				<?php $case_studies_home_args = array(
					'post_type'		=> 'hakim-case',
				);
				
				$case_studies_home_loop = new WP_Query($case_studies_home_args);
				if ($case_studies_home_loop->have_posts()) : while($case_studies_home_loop->have_posts()) : $case_studies_home_loop->the_post(); 

				$case_featured_img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' );

				$testi_posts = get_field('testimonial_post'); ?>

				<div class="case-studies nopadding">
					<div class="case-img" style="background-image: url(<?php echo esc_url( $case_featured_img[0] ); ?>);"></div>
					<div class="case-content">

						<div class="line-separator <?php if(empty($testi_posts)) { echo "hide"; } ?>"></div>

						<div class="content-left <?php if(empty($testi_posts)) { echo "full"; } ?>">
							<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
							<p><?php echo hakim_excerpt(30); ?></p>
							<a href="<?php the_permalink(); ?>" class="view-more"><?php esc_html_e( 'View Case Studies', 'hakim' ); ?></a>
						</div>

						<div class="content-right <?php if(empty($testi_posts)) { echo "hide"; } ?>">
						<?php if( $testi_posts ): ?>
							<?php foreach( $testi_posts as $post): // variable must be called $post (IMPORTANT) ?>
								<?php setup_postdata($post); ?>
								<div class="case-testimonial">
									<?php the_content(); ?>
									<cite><?php the_title(); ?></cite>
								</div>
							<?php endforeach; ?>
							<?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
						<?php endif; ?>
						</div>

					</div>
				</div>

				<?php endwhile; wp_reset_postdata(); endif; ?>
			</div>

		</div>	
	</div>
</div>
<!-- CONTENT END -->

<?php } 

else { ?>


<section id="content" class="single-wrapper">
	<!-- Page Title -->
	<div class="grey-background wow fadeIn">
		<div class="container">
			<div class="heading-block page-title wow fadeIn">
				<h1>
					<?php esc_html_e( 'Please Activate ACF plugin to use this Page Template', 'hakim' ); ?>
				</h1>
			</div>
		</div>
	</div>	

</section>
<!-- CONTENT END -->


<?php } ?>

<?php get_footer(); ?>