<?php get_header();

/*
Template Name: Contact Template
*/

if( class_exists('acf') ) { 
	$google_maps				= get_field('google_maps');
	$telephone					= get_field('telephone');
	$email_address				= get_field('email_address');
	$location					= get_field('location');
	$hours						= get_field('hours');
	$contact_form_template		= get_field('contact_form_template');
	$contact_form_subtitle		= get_field('contact_form_subtitle');
	$contact_detail_title		= get_field('contact_detail_title');
	$contact_detail_subtitle	= get_field('contact_detail_subtitle');
?>

<!-- CONTENT START
============================================= -->
<div class="contact-page clearfix">

	<?php if(!empty($google_maps)){ ?>
	<div class="contact-map">
		<div class="maps wow fadeIn">
			<?php echo balancetags( $google_maps ); ?>
		</div>
	</div>
	<?php } ?>

	<div id="content" class="no-padding clearfix">

		<div class="contact-form-section">
			<div class="container">
				<div class="row">

					<!-- CONTACT FORM START
					============================================= -->
					<div class="contact-form">

						<div class="title-section">
							<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php the_title(); ?></h5>
							
							<?php if(!empty($contact_form_subtitle)) { ?>
								<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $contact_form_subtitle ); ?></div>
							<?php } ?>
						</div>


						<?php if(!empty($contact_form_template)){ ?>
						<div class="form wow fadeIn">
							<?php echo do_shortcode( $contact_form_template ); ?>
						</div>
						<?php } ?>
					</div>
					<!-- CONTACT FORM END -->

				</div>
			</div>
		</div>

		<div class="contact-details">
			<div class="container">
				<div class="row">
					<?php if(!empty($contact_detail_title) || !empty($contact_detail_subtitle)) { ?>
					<div class="title-section">
						<?php if(!empty($contact_detail_title)) { ?>
							<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $contact_detail_title ); ?></h5>
						<?php }
						if(!empty($contact_detail_subtitle)) { ?>
							<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $contact_detail_subtitle ); ?></div>
						<?php } ?>
					</div>
					<?php } ?>

					<div class="contact-text clearfix">
						<div class="contact-author-details">
							<?php if(!empty($telephone)) { ?>
								<div class="telephone text-center col-md-3 wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.7s">
									<div class="con-det-icon">
										<i class="fa fa-phone"></i>
									</div>
									<h5 class="title"><?php esc_html_e( 'Telephone', 'hakim' ); ?></h5>
									<?php echo balancetags( $telephone ); ?>
								</div>
							<?php }
							if(!empty($email_address)) { ?>
								<div class="email-contact text-center col-md-3 wow fadeInUp" data-wow-duration="1.2s" data-wow-delay="0.9s">
									<div class="con-det-icon">
										<i class="fa fa-envelope-o"></i>
									</div>
									<h5 class="title"><?php esc_html_e( 'Email', 'hakim' ); ?></h5>
									<?php echo balancetags( $email_address ); ?>
								</div>
							<?php }
							if(!empty($location)) { ?>
								<div class="location text-center col-md-3 wow fadeInUp" data-wow-duration="1.4s" data-wow-delay="1.1s">
									<div class="con-det-icon">
										<i class="fa fa-building-o"></i>
									</div>
									<h5 class="title"><?php esc_html_e( 'Location', 'hakim' ); ?></h5>
									<?php echo balancetags( $location ); ?>
								</div>
							<?php }
							if(!empty($hours)) { ?>
								<div class="hours text-center col-md-3 wow fadeInUp" data-wow-duration="1.6s" data-wow-delay="1.3s">
									<div class="con-det-icon">
										<i class="fa fa-clock-o"></i>
									</div>
									<h5 class="title"><?php esc_html_e( 'Work Hours', 'hakim' ); ?></h5>
									<?php echo balancetags( $hours ); ?>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>

	</div>
</div>
<!-- CONTENT END -->

<?php } 

else { ?>


<section id="content" class="single-wrapper">
	<!-- Page Title -->
	<div class="grey-background wow fadeIn">
		<div class="container">
			<div class="heading-block page-title wow fadeIn">
				<h1>
					<?php esc_html_e( 'Please Activate ACF plugin to use this Page Template', 'hakim' ); ?>
				</h1>
			</div>
		</div>
	</div>	

</section>
<!-- CONTENT END -->


<?php } ?>

<?php get_footer(); ?>