<?php get_header();

/*
Template Name: Home Template
*/

if( class_exists('acf') ) { 

?>


<!-- slider section -->
<?php $slider_id = get_field('slider_id'); ?>

<?php if(!empty($slider_id)) { ?>
<div class="slider-home clearfix">
	<?php echo do_shortcode( $slider_id); ?>
</div>
<?php } ?>
<!-- slider section end -->

<!-- Start Content -->
<div id="content" class="no-padding clearfix">
			
	<!-- Practice Area Start -->
	<?php $use_practice_section	= get_field('use_practice_section');
	if($use_practice_section == true) { ?>
	<div class="practice-home clearfix">
		<div class="container carousel-container">
			<?php 
			$practice_per_page	= get_field('practice_per_page');
			$item_column		= get_field('item_column');
			$practice_title		= get_field('practice_title');
			$practice_subtitle	= get_field('practice_subtitle'); ?>
			
			<?php if(!empty($practice_title) || !empty($practice_subtitle)) { ?>
			<div class="title-section">
				<?php if(!empty($practice_title)) { ?>
					<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $practice_title ); ?></h5>
				<?php }
				if(!empty($practice_subtitle)) { ?>
					<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $practice_subtitle ); ?></div>
				<?php } ?>
			</div>
			<?php } ?>

			<div class="practice-wrap carousel-wrapper owl-carousel owl-theme wow fadeIn" data-wow-duration="2s" data-wow-delay="0.3s">
				<?php $hakim_practice_home_args = array(
					'post_type'		=> 'hakim-practice',
					'posts_per_page' => $practice_per_page,
					);

					$hakim_practice_home_loop = new WP_Query($hakim_practice_home_args);
					if ($hakim_practice_home_loop->have_posts()) : while($hakim_practice_home_loop->have_posts()) : $hakim_practice_home_loop->the_post(); ?>

					<div class="practice-item carousel-slide">
						<?php if ( has_post_thumbnail()) { ?>
						<div class="practice-thumb">
							<a href="<?php the_permalink(); ?>">
								<?php the_post_thumbnail('practice-home'); ?>
							</a>
						</div>
						<?php } ?>

						<!-- else call local image  -->

						<div class="practice-desc">
							<a href="<?php the_permalink(); ?>"><h5 class="title"><?php the_title(); ?></h5></a>

							<div class="text">
								<p><?php echo hakim_excerpt(20); ?></p>
							</div>

							<a href="<?php the_permalink(); ?>" class="button"><?php esc_html_e( 'Read More', 'hakim' ); ?></a>
						</div>
					</div>

				<?php endwhile; wp_reset_postdata(); endif; ?>
			</div>

			<script>
			jQuery(document).ready(function() { 
				jQuery('.practice-wrap').owlCarousel({
					loop:true,
					margin:20,
					nav:true,
					dots:false,
					navText: [
					  "<i class='icon icon-arrow-left'></i>",
					  "<i class='icon icon-arrow-right'></i>"
					  ],
					responsive:{
						0:{
							items:1
						},
						600:{
							items:2
						},
						1000:{
							items:4
						},
						1200:{
							items:<?php echo sanitize_text_field( $item_column ); ?>
						}
					}
				});
			 });
			</script>
		</div>
	</div>
	<?php } ?>
	<!-- Practice Area End -->

	<!-- Team Section Start-->
	<?php $use_team_section	= get_field('use_team_section');
	$team_per_page	= get_field('team_per_page');
	if($use_team_section == true) { ?>
	<div class="team-section demo-2 wow fadeIn" data-wow-duration="2s" data-wow-delay="0.3s">
		<div class="team-slider sl-slider-wrapper home-team clearfix">
			<div class="sl-slider">

				<?php $hakim_team_home_args = array(
				'post_type'		=> 'hakim-team',
				'posts_per_page' => $team_per_page,
				);
				
				$hakim_team_home_loop = new WP_Query($hakim_team_home_args);
				if ($hakim_team_home_loop->have_posts()) : while($hakim_team_home_loop->have_posts()) : $hakim_team_home_loop->the_post();

				$team_slider_background	= get_field('team_slider_background'); ?>

					<div class="sl-slide slide-item" data-orientation="vertical" data-slice1-rotation="-5" data-slice2-rotation="10" data-slice1-scale="2" data-slice2-scale="1">
						<div class="sl-slide-inner">
							<div class="bg-img" <?php if(!empty($team_slider_background)) { ?>style="background-image: url(<?php echo esc_url( $team_slider_background ); ?>);" <?php } ?>></div>
							<div class="container">
								<div class="row">
									<div class="caption col-md-6">
										<?php 
										$team_function		= get_field('team_function'); ?>

										<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
										<?php if(!empty($team_function)) { ?>
											<p class="position"><?php echo sanitize_text_field( $team_function ); ?></p>
										<?php } ?>
										<div class="caption-text">
											<p><?php echo hakim_excerpt(40); ?></p>
										</div>
										
										<a href="<?php the_permalink(); ?>" class="button"><?php esc_html_e( 'About Me', 'hakim' ); ?></a>
									</div>
									
									<?php if ( has_post_thumbnail()) { ?>
									<div class="team-img col-md-6">
										<div class="the-thumb">
											<?php the_post_thumbnail(); ?>
										</div>
									</div>
									<?php } ?>
								</div>
							</div>
						</div>
					</div>

				<?php endwhile; wp_reset_postdata(); endif; ?>

			</div>

			<nav class="team-slider-nav team-slide-nav">
				<span class="nav-arrow-prev"><i class="icon icon-arrow-left"></i></span>
				<span class="nav-arrow-next"><i class="icon icon-arrow-right"></i></span>
			</nav>
		</div>
	</div>
	<script type="text/javascript">
	jQuery(window).load(function() { 
		var Page = (function() {

        var jQuerynavArrows = jQuery( '.team-slider-nav' ),
            slitslider = jQuery( '.team-slider' ).slitslider( {

            } ),

            init = function() {

                initEvents();
                
            },
            initEvents = function() {

                // add navigation events
                jQuerynavArrows.children( ':last' ).on( 'click', function() {

                    slitslider.next();
                    return false;

                } );

                jQuerynavArrows.children( ':first' ).on( 'click', function() {
                    
                    slitslider.previous();
                    return false;

                } );

            };

            return { init : init };

            })();

        Page.init();
    });
	</script>
	<?php } ?>
	<!-- Team Seaction End-->
	
	<!-- Case Studies Section -->
	<?php $use_case_studies_section	= get_field('use_case_studies_section');
	if($use_case_studies_section == true) { ?>
	<div class="case-studies clearfix">
		<div class="container">
			<?php
			$case_per_page			= get_field('case_per_page');
			$case_studies_link		= get_field('case_studies_link');

			$case_studies_title		= get_field('case_studies_title');
			$case_studies_subtitle	= get_field('case_studies_subtitle'); ?>

			<?php if(!empty($case_studies_title) || !empty($case_studies_subtitle)) { ?>
			<div class="title-section">
				<?php if(!empty($case_studies_title)) { ?>
					<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $case_studies_title ); ?></h5>
				<?php }
				if(!empty($case_studies_subtitle)) { ?>
					<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $case_studies_subtitle ); ?></div>
				<?php } ?>
			</div>
			<?php } ?>

			<div class="case-slider wow fadeIn" data-wow-duration="2s" data-wow-delay="0.3s">
				<div class="flexslider clearfix">
					<ul class="slides">

					<?php $case_studies_home_args = array(
						'post_type'		=> 'hakim-case',
						'posts_per_page' => $case_per_page,
					);
					
					$case_studies_home_loop = new WP_Query($case_studies_home_args);
					if ($case_studies_home_loop->have_posts()) : while($case_studies_home_loop->have_posts()) : $case_studies_home_loop->the_post(); 

					$case_featured_img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' );

					$testi_posts = get_field('testimonial_post'); ?>

					<li>
						<div class="case-img" style="background-image: url(<?php echo esc_url( $case_featured_img[0] ); ?>);"></div>
						<div class="case-content">

							<div class="line-separator <?php if(empty($testi_posts)) { echo "hide"; } ?>"></div>

							<div class="content-left <?php if(empty($testi_posts)) { echo "full"; } ?>">
								<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
								<p><?php echo hakim_excerpt(30); ?></p>
								<a href="<?php the_permalink(); ?>" class="view-more"><?php esc_html_e( 'View Case Studies', 'hakim' ); ?></a>
							</div>
			
							<div class="content-right <?php if(empty($testi_posts)) { echo "hide"; } ?>">
							<?php if( $testi_posts ): ?>
								<?php foreach( $testi_posts as $post): // variable must be called $post (IMPORTANT) ?>
									<?php setup_postdata($post);
									$author_job = get_field('author_job');  ?>
									<div class="case-testimonial">
										<?php the_content(); ?>
										<cite><?php the_title(); ?>
										<?php if(!empty($author_job)) { ?>
											<?php esc_html_e( ' - ', 'hakim' ); ?><em class="not-bold"><?php echo sanitize_text_field( $author_job ); ?></em>
										<?php } ?>
										</cite>
									</div>
								<?php endforeach; ?>
								<?php wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly ?>
							<?php endif; ?>
							</div>

						</div>
						<div class="spacing_50"></div>
					</li>

					<?php endwhile; wp_reset_postdata(); endif; ?>
					</ul>
				</div>
			</div>
			<?php if(!empty($case_studies_link)) { ?>
			<div class="text-center clearfix">
				<a href="<?php echo esc_url( $case_studies_link ); ?>" class="button"><?php esc_html_e( 'View All Case Studies', 'hakim' ); ?></a>
			</div>
			<?php } ?>
		</div>
	</div>
	<script type="text/javascript">
	jQuery(window).load(function() { 
		jQuery('.case-slider .flexslider').flexslider({
            animation: "slide",
            directionNav: "true"
        });
    });
	</script>
	<?php } ?>
	<!-- Case Studies Section End -->
	
	<!-- Counter Section -->
	<?php 
		$counter_item_column		= get_field('counter_item_column');
		$counter_item				= get_field('counter_item');
		$counter_background_image	= get_field('counter_background_image');

	if(have_rows('counter_item')): ?>
	<div class="counter-section clearfix" <?php if(!empty($counter_background_image)) { ?>style="background-image: url(<?php echo esc_url( $counter_background_image ); ?>);" <?php } ?>>
		<div class="container">
			<div class="row">
				<?php while(have_rows('counter_item')):the_row();
					$counter_image		= get_sub_field('counter_image');
					$counter_value		= get_sub_field('counter_value');
					$counter_title		= get_sub_field('counter_title');
					$counter_subtitle	= get_sub_field('counter_subtitle');
				?>
				<div class="counter-item text-center <?php echo sanitize_text_field( $counter_item_column ); ?> wow fadeInUp">
					<?php if(!empty($counter_image)) { ?>
					<div class="counter-img">
						<img src="<?php echo esc_url( $counter_image ); ?>" alt="<?php echo sanitize_text_field( $counter_title ); ?>">
					</div>
					<?php } ?>

					<div class="counter-detail">
						<?php if(!empty($counter_value)) { ?>
							<h2 class="value counter"><?php echo sanitize_text_field( $counter_value ); ?></h2>
						<?php }
						if(!empty($counter_title)) { ?>
							<h5 class="title"><?php echo sanitize_text_field( $counter_title ); ?></h5>
						<?php }
						if(!empty($counter_subtitle)) { ?>
							<p class="subtitle"><?php echo sanitize_text_field( $counter_subtitle ); ?></p>
						<?php } ?>
					</div>
				</div>
				<?php endwhile; ?>
			</div>
		</div>
	</div>
	<script type="text/javascript">
	jQuery(document).ready(function() { 
		jQuery('.counter').counterUp({
            delay: 20,
            time: 3000
        });
    });
	</script>
	<?php endif; ?>
	<!-- Counter Section End -->

	<!-- Form Section -->
	<?php
	$use_contact_form 		= get_field('use_contact_form');
	$contact_image_left 	= get_field('contact_image_left');
	$contact_image_right 	= get_field('contact_image_right');
	$home_contact_title 	= get_field('home_contact_title');
	$home_contact_subtitle 	= get_field('home_contact_subtitle');
	$home_contact_form 		= get_field('home_contact_form');
	?>

	<?php if($use_contact_form == true) { ?>
	<div class="form-section clearfix">
		<?php if(!empty($contact_image_left)) { ?>
		<div class="image-left col-md-5 wow fadeInLeft" data-wow-duration="2s" data-wow-delay="0.3s">
			<div class="row">
				<img src="<?php echo esc_url( $contact_image_left ); ?>" alt="<?php esc_attr_e( 'Contact Image', 'hakim' ); ?>">
			</div>
		</div>
		<?php } ?>

		<div class="home-form col-md-7" <?php if(!empty($contact_image_right)) { ?>style="background-image: url(<?php echo esc_url( $contact_image_right ); ?>);"<?php } ?>>
			<?php if( $home_contact_form ): ?>

				<div class="the-form vertical-center text-center">
					<?php if(!empty($home_contact_title) || !empty($home_contact_subtitle)) { ?>
					<div class="title-section">
						<?php if(!empty($home_contact_title)) { ?>
							<h5 class="wow fadeInDown" data-wow-duration="2s" data-wow-delay="0.3s"><?php echo sanitize_text_field( $home_contact_title ); ?></h5>
						<?php }
						if(!empty($home_contact_subtitle)) { ?>
							<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s"><?php echo balancetags( $home_contact_subtitle ); ?></div>
						<?php } ?>
					</div>
					<?php } ?>

					<div class="wow fadeIn" data-wow-duration="1s" data-wow-delay="0.7s">
						<?php echo do_shortcode('[contact-form-7 id="' . $home_contact_form . '"]');  ?>
					</div>
				</div>

			<?php endif; ?>
		</div>
	</div>
	<?php } //$use_contact_form == true ?>
	<!-- form section end -->

	<!-- Testimonial Section -->
	<?php 

	$testimonial_per_page			= get_field('testimonial_per_page');
	$testimonial_background_image	= get_field('testimonial_background_image');

	$show_testimonial	= get_field('show_testimonial');
	if($show_testimonial == true) { ?>
	<div class="testimonial-home clearfix" <?php if(!empty($testimonial_background_image)) { ?>style="background-image: url(<?php echo esc_url( $testimonial_background_image ); ?>);"<?php } ?>>
		<div class="container">

			<div class="testimonial-icon">
				<i class="icon icon-quote"></i>
			</div>

			<div class="testimonial-slider wow fadeIn" data-wow-duration="2s" data-wow-delay="0.3s">
				<div class="flexslider clearfix">
					<ul class="slides">

					<?php $testimonial_studies_home_args = array(
						'post_type'		=> 'hakim-testimonial',
						'posts_per_page' => $testimonial_per_page,
					);
					
					$testimonial_studies_home_loop = new WP_Query($testimonial_studies_home_args);
					if ($testimonial_studies_home_loop->have_posts()) : while($testimonial_studies_home_loop->have_posts()) : $testimonial_studies_home_loop->the_post(); 

					$testimonial_featured_img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' );

					$author_job = get_field('author_job'); ?>

					<li>
						<div class="testimonial-content">
							<?php the_content(); ?>

							<h4><?php the_title(); ?></h4>
							<?php if(!empty($author_job)) { ?>
								<span class="testi-job"><?php echo sanitize_text_field( $author_job ); ?></span>
							<?php } ?>
						</div>
					</li>

					<?php endwhile; wp_reset_postdata(); endif; ?>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<script type="text/javascript">
	jQuery(window).load(function() { 
		jQuery('.testimonial-slider .flexslider').flexslider({
            animation: "fade",
            slideshow: true,
            directionNav: false,
            controlNav: true,  
            touch: true
        });
    });
	</script>
	<?php } ?>
	<!-- Testimonial Section end -->

	<!-- Client Section -->
	<?php 
	$client_item_column		= get_field('client_item_column');
	$the_client				= get_field('the_client');

	if(have_rows('the_client')): ?>
	<div class="client-section clearfix">
		<div class="container">

		<?php while(have_rows('the_client')):the_row();
			$client_image		= get_sub_field('client_image');
			$client_name		= get_sub_field('client_name');
			$client_url			= get_sub_field('client_url');
		?>
		<div class="client-item <?php echo sanitize_text_field( $client_item_column ); ?> wow fadeInUp">
			<?php if(!empty($client_url)) { ?><a href="<?php echo esc_url( $client_url ); ?>"><?php } ?>
				
				<?php if(!empty($client_image)) { ?>
					<img src="<?php echo esc_url( $client_image ); ?>" alt="<?php echo sanitize_text_field( $client_name ); ?>">
				<?php } ?>

			<?php if(!empty($client_url)) { ?></a><?php } ?>
		</div>
		<?php endwhile; ?>

		</div>
	</div>
	<?php endif; ?>
	<!-- Client Section end -->

</div>
<!-- End Content -->

<?php } 

else { ?>

<div id="content" class="single-wrapper">
	<!-- Page Title -->
	<div class="grey-background wow fadeIn">
		<div class="container">
			<div class="heading-block page-title wow fadeIn">
				<h1>
					<?php esc_html_e( 'Please Activate ACF plugin to use this Page Template', 'hakim' ); ?>
				</h1>
			</div>
		</div>
	</div>	

</div>
<!-- CONTENT END -->

<?php } ?>

<?php get_footer(); ?>