<?php get_header();

/*
Template Name: Practice Area Template
*/

if( class_exists('acf') ) { 
?>

<?php hakim_page_title(); ?>

<!-- CONTENT START
============================================= -->
<div id="content" class="practice-page clearfix">
	<div class="container">
		<div class="row">
			<div class="practice-item-section">

				<?php $hakim_practice_args = array(
				'post_type'			=> 'hakim-practice',
				);

				$hakim_practice_loop = new WP_Query($hakim_practice_args);
				if ($hakim_practice_loop->have_posts()) : while($hakim_practice_loop->have_posts()) : $hakim_practice_loop->the_post(); 

					if (has_post_thumbnail()) { 
						$video_thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full'); 
							$video_thumb_res = aq_resize($video_thumb[0],  370 , 255, true, true, true);
							if ($video_thumb_res) {
								$video_thumb_res = $video_thumb_res;
							} else {
								$video_thumb_res = wp_get_attachment_image_src( get_post_thumbnail_id(), 'hakim-practice-area'); 
								$video_thumb_res = $video_thumb_res[0];
							}
						} 
				?>
				<div class="practice-grid col-md-4 wow fadeInUp">
					<a href="<?php the_permalink(); ?>">
						<div class="practice-thumb">
							<img src="<?php echo esc_url($video_thumb_res) ?>" alt="<?php the_title(); ?>">
						</div>
					</a>
					<div class="practice-desc">
						<a href="<?php the_permalink(); ?>"><h5 class="title"><?php the_title(); ?></h5></a>

						<div class="text">
							<p><?php echo hakim_excerpt(20); ?></p>
						</div>

						<a href="<?php the_permalink(); ?>" class="button"><?php esc_html_e( 'Read More', 'hakim' ); ?></a>
					</div>	
				</div>
				<?php endwhile; endif; ?>
			</div>
		
		</div>
	</div>
</div>
<!-- CONTENT END -->

<?php } 

else { ?>


<section id="content" class="single-wrapper">
	<!-- Page Title -->
	<div class="grey-background wow fadeIn">
		<div class="container">
			<div class="heading-block page-title wow fadeIn">
				<h1>
					<?php esc_html_e( 'Please Activate ACF plugin to use this Page Template', 'hakim' ); ?>
				</h1>
			</div>
		</div>
	</div>	

</section>
<!-- CONTENT END -->


<?php } ?>

<?php get_footer(); ?>