<?php
	/*
	Plugin Name: Hakim Extra
	Plugin URI: http://www.themesawesome.com
	Description: A plugin to add functionality to Premium Theme Hakim from Themes Awesome
	Version: 1.0
	Author: Themes Awesome
	Author URI: http://www.themesawesome.com
	License: GPL2
	*/



define( 'HAKIM_EXTRA_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'HAKIM_EXTRA_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );



// Flush rewrite rules on activation
function hakim_extra_activation() {
    flush_rewrite_rules(true);
}

require_once( HAKIM_EXTRA_PLUGIN_DIR . '/widgets/hakim-recentpost-widget.php' );
require_once( HAKIM_EXTRA_PLUGIN_DIR . '/widgets/hakim-testimonial-widget.php' );
/*-----------------------------------------------------------------------------------*/
/* The Practice custom post type
/*-----------------------------------------------------------------------------------*/
add_action('init', 'hakim_practice_register'); 
    function hakim_practice_register() { 


        $labels = array(
            'name'               => _x('Practice', 'Practice General Name', 'hakim'),
            'singular_name'      => _x('Practice', 'Practice Singular Name', 'hakim'),
            'add_new'            => _x('Add New', 'Add New Practice Name', 'hakim'),
            'add_new_item'       => __('Add New Practice', 'hakim'),
            'edit_item'          => __('Edit Practice', 'hakim'),
            'new_item'           => __('New Practice', 'hakim'),
            'view_item'          => __('View Practice', 'hakim'),
            'search_items'       => __('Search Practice', 'hakim'),
            'not_found'          => __('Nothing found', 'hakim'),
            'not_found_in_trash' => __('Nothing found in Trash', 'hakim'),
            'parent_item_colon'  => ''
        );

        $args = array(
            'labels'             => $labels,
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'query_var'          => 'practice',
            'capability_type'    => 'post',
            'hierarchical'       => false,
            'rewrite'            => array( 'slug' => 'practice' ),
            'supports'           => array('title','editor','thumbnail'),
            'menu_position'       => 5,

        ); 

        register_post_type('hakim-practice' , $args);

    }

/*-----------------------------------------------------------------------------------*/
/* The Team custom post type
/*-----------------------------------------------------------------------------------*/

add_action('init', 'hakim_team_register'); 
    function hakim_team_register() {

        $labels = array(
            'name'                => _x( 'Team', 'Post Type General Name', 'hakim' ),
            'singular_name'       => _x( 'Team', 'Post Type Singular Name', 'hakim' ),
            'menu_name'           => __( 'Team', 'hakim' ),
            'parent_item_colon'   => __( 'Parent Team:', 'hakim' ),
            'all_items'           => __( 'All Team', 'hakim' ),
            'view_item'           => __( 'View Team', 'hakim' ),
            'add_new_item'        => __( 'Add New Team', 'hakim' ),
            'add_new'             => __( 'Add New', 'hakim' ),
            'edit_item'           => __( 'Edit Team', 'hakim' ),
            'update_item'         => __( 'Update Team', 'hakim' ),
            'search_items'        => __( 'Search Team', 'hakim' ),
            'not_found'           => __( 'Not found', 'hakim' ),
            'not_found_in_trash'  => __( 'Not found in Trash', 'hakim' ),
        );

        $args = array(
            'labels'             => $labels,
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'query_var'          => 'team',
            'capability_type'    => 'post',
            'hierarchical'       => false,
            'rewrite'            => array( 'slug' => 'team' ),
            'supports'           => array('title','editor','thumbnail'),
            'menu_position'       => 6,

        ); 
        register_post_type( 'hakim-team', $args );
    }

/*-----------------------------------------------------------------------------------*/
/* The Case custom post type
/*-----------------------------------------------------------------------------------*/

add_action('init', 'hakim_case_register'); 
    function hakim_case_register() {

        $labels = array(
            'name'                => _x( 'Case', 'Post Type General Name', 'hakim' ),
            'singular_name'       => _x( 'Case', 'Post Type Singular Name', 'hakim' ),
            'menu_name'           => __( 'Case', 'hakim' ),
            'parent_item_colon'   => __( 'Parent Case:', 'hakim' ),
            'all_items'           => __( 'All Case', 'hakim' ),
            'view_item'           => __( 'View Case', 'hakim' ),
            'add_new_item'        => __( 'Add New Case', 'hakim' ),
            'add_new'             => __( 'Add New', 'hakim' ),
            'edit_item'           => __( 'Edit Case', 'hakim' ),
            'update_item'         => __( 'Update Case', 'hakim' ),
            'search_items'        => __( 'Search Case', 'hakim' ),
            'not_found'           => __( 'Not found', 'hakim' ),
            'not_found_in_trash'  => __( 'Not found in Trash', 'hakim' ),
        );
        $args = array(
            'labels'             => $labels,
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'query_var'          => 'case',
            'capability_type'    => 'post',
            'hierarchical'       => false,
            'rewrite'            => array( 'slug' => 'case' ),
            'supports'           => array('title','editor','thumbnail'),
            'menu_position'       => 7,

        ); 
        register_post_type( 'hakim-case', $args );

    }

/*-----------------------------------------------------------------------------------*/
/* The Testimonial custom post type
/*-----------------------------------------------------------------------------------*/

add_action('init', 'hakim_testimonial_register'); 
    function hakim_testimonial_register() { 

        $labels = array(
            'name'               => _x('Testimonial', 'Testimonial General Name', 'hakim'),
            'singular_name'      => _x('Testimonial', 'Testimonial Singular Name', 'hakim'),
            'add_new'            => _x('Add New', 'Add New Testimonial Name', 'hakim'),
            'add_new_item'       => __('Add New Testimonial', 'hakim'),
            'edit_item'          => __('Edit Testimonial', 'hakim'),
            'new_item'           => __('New Testimonial', 'hakim'),
            'view_item'          => __('View Testimonial', 'hakim'),
            'search_items'       => __('Search Testimonial', 'hakim'),
            'not_found'          => __('Nothing found', 'hakim'),
            'not_found_in_trash' => __('Nothing found in Trash', 'hakim'),
            'parent_item_colon'  => ''
        );

        $args = array(
            'labels'             => $labels,
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'query_var'          => 'testimonial',
            'capability_type'    => 'post',
            'hierarchical'       => false,
            'rewrite'            => array( 'slug' => 'testimonial' ),
            'supports'           => array('title','editor','thumbnail'),
            'menu_position'       => 5,

        ); 

        register_post_type('hakim-testimonial' , $args);

    }

/*-----------------------------------------------------------------------------------*/
/* The FAQ custom post type
/*-----------------------------------------------------------------------------------*/

add_action('init', 'hakim_faq_register'); 
    function hakim_faq_register() { 


        $labels = array(
            'name'               => _x('FAQ', 'FAQ General Name', 'hakim'),
            'singular_name'      => _x('FAQ', 'FAQ Singular Name', 'hakim'),
            'add_new'            => _x('Add New', 'Add New FAQ Name', 'hakim'),
            'add_new_item'       => __('Add New FAQ', 'hakim'),
            'edit_item'          => __('Edit FAQ', 'hakim'),
            'new_item'           => __('New FAQ', 'hakim'),
            'view_item'          => __('View FAQ', 'hakim'),
            'search_items'       => __('Search FAQ', 'hakim'),
            'not_found'          => __('Nothing found', 'hakim'),
            'not_found_in_trash' => __('Nothing found in Trash', 'hakim'),
            'parent_item_colon'  => ''
        );

        $args = array(
            'labels'             => $labels,
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'query_var'          => 'faq',
            'capability_type'    => 'post',
            'hierarchical'       => false,
            'rewrite'            => array( 'slug' => 'faq' ),
            'supports'           => array('title','editor','thumbnail'),
            'menu_position'       => 5,

        ); 

        register_post_type('hakim-faq' , $args);

    }


// Custom Widgets
function hakim_new_elements() {
  require_once( HAKIM_EXTRA_PATH . '/widgets/hakim-recentpost-widget.php' );
  require_once( HAKIM_EXTRA_PATH . '/widgets/hakim-testimonial-widget.php' );
 
}
add_action('elementor/widgets/widgets_registered','hakim_new_elements');
// Custom Widgets


/* DEMO IMPORT */
function hakim_extra_ocdi_import_files() {
return array(
array(
  'import_file_name'           => 'Demo 1',
  'import_file_url'            => plugin_dir_url( __FILE__ ).'demo-content/demo1/content.xml',
  'import_redux'               => array(
    array(
    'file_url'    => plugin_dir_url( __FILE__ ).'demo-content/demo1/theme-options.json',
    'option_name' => 'hakim_framework',
    ),
  ),
  'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'demo-content/demo1/screen-image.jpg',
  'import_notice'              => __( 'Some of images may not looks like demo because images are excluded from theme.', 'hakim' ),
  'preview_url'                => 'https://hakimtheme.themesawesome.com/',
  ),

);
}
add_filter( 'pt-ocdi/import_files', 'hakim_extra_ocdi_import_files' );

function hakim_extra_ocdi_after_import_setup() {
// Assign menus to their locations.
$main_menu = get_term_by( 'name', 'Menu', 'nav_menu' );

set_theme_mod( 'nav_menu_locations', array(
  'header-menu' => $main_menu->term_id, // replace 'main-menu' here with the menu location identifier from register_nav_menu() function
  )
);

// Assign front page and posts page (blog page).
$front_page_id = get_page_by_title( 'Home' );
$blog_page_id  = get_page_by_title( 'Blog' );

update_option( 'show_on_front', 'page' );
update_option( 'page_on_front', $front_page_id->ID );
update_option( 'page_for_posts', $blog_page_id->ID );


 //Import Revolution Slider
if (file_exists(plugin_dir_path( __FILE__ ) . 'demo-content/demo1/slider.zip')) {
    $slider_array = array(
            plugin_dir_path( __FILE__ ) . 'demo-content/demo1/slider.zip',
        );
        if ( class_exists( 'RevSlider' ) && count($slider_array)>0) {
            $slider = new RevSlider();
            foreach($slider_array as $filepath){
            $slider->importSliderFromPost(true,true,$filepath);
        }
         echo ' Slider processed';
     }
}

}
add_action( 'pt-ocdi/after_import', 'hakim_extra_ocdi_after_import_setup' );
