<?php

class hakim_testimonial_thumb_Widget extends WP_Widget {
	
	function __construct()
	{
		$widget_ops = array('classname' => 'testimonial-post', 'description' => '');

		$control_ops = array('id_base' => 'hakim_testimonial_thumb-widget');

		parent::__construct('hakim_testimonial_thumb-widget', 'Hakim Testimonial Post', $widget_ops, $control_ops);
	}

	public function hakim_testimonial_thumb_Widget()
    {
        self::__construct();
    }
	
	function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);

		echo balancetags( $before_widget );

		if($title) {
			echo balancetags( $before_title ).sanitize_text_field( $title ).balancetags( $after_title );
		} ?>

			<div class="testimonial-post">
				
				<div class="flexslider clearfix">
					<ul class="slides">
						<!-- widget-news -->
						<?php $testi_wid_args = array(
						'post_type'         => 'hakim-testimonial',
						'posts_per_page'	=> $instance['amount'],
						'ignore_sticky_posts' => 1,						        
							);
							$testi_wid_loop = new WP_Query($testi_wid_args); 
							if ($testi_wid_loop->have_posts()) : while($testi_wid_loop->have_posts()) : $testi_wid_loop->the_post();
						?>
						<li>
							<div class="post-content">
								<div class="testi-text">
									<?php the_content(); ?>
								</div>
								<a href="<?php the_permalink(); ?>">
									<h4><?php the_title(); ?></h4>
								</a>
							</div>
						</li>
						<?php endwhile; wp_reset_postdata(); endif; ?>
						<!-- widget-news end -->
					</ul>
				</div>

				<script type="text/javascript">
					jQuery(window).load(function() { 
						jQuery('.testimonial-post .flexslider').flexslider({
				            animation: "fade",
				            slideshow: true,
				            directionNav: false,
				            controlNav: true,  
				            touch: true
				        });
				    });
					</script>
			</div>
		
		<?php echo balancetags( $after_widget );
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		if( is_numeric($new_instance['amount']) ){
			$instance['amount'] = $new_instance['amount'];
		} else {
			$new_instance['amount'] = '3';
		}

		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => 'Testimonial Posts', 'amount' => '3');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e( 'Title', 'hakim' ); ?>:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('amount'); ?>"><?php esc_html_e( 'Amount of Posts', 'hakim' ); ?>:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('amount'); ?>" name="<?php echo $this->get_field_name('amount'); ?>" value="<?php echo $instance['amount']; ?>" />
		</p>
	<?php
	}
}

function hakim_testimonial_widget_init ()
{
	return register_widget('hakim_testimonial_thumb_Widget');
}
add_action ('widgets_init', 'hakim_testimonial_widget_init');